<?php

namespace App\Generated\V1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class OperationalLogMessage extends Message
{
    use ValueHelper;

    protected $stageId;
    protected $type;
    protected $content;
    protected $result;

    /**
     * @return int
     */
    public function getStageId()
    {
        return $this->stageId;
    }

    /**
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @return string
     */
    public function getContent()
    {
        return $this->content;
    }

    public function requestRules()
    {
        return [
            ['stageId', 'stage_id', 'bail|integer', Constants::INTEGER, null],
            ['type', 'type', 'bail|string', Constants::STRING, null],
            ['content', 'content', 'bail|string', Constants::STRING, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
